Bug 992898 - [RFE][RHS-RHOS] glusterfs cinder plugin to provide 'glusterfs_mount_options' in cinder.conf for mentioning fuse mount options for glusterfs
[RFE][RHS-RHOS] glusterfs cinder plugin to provide 'glusterfs_mount_options' ...
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder (Show other bugs)
unspecified
Unspecified Linux
medium Severity medium
: ---
: 9.0 (Mitaka)
Assigned To: Deepak C Shetty
Dafna Ron
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 02:55 EDT by SATHEESARAN
Modified: 2016-04-26 23:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
virt rhos cinder integration
Last Closed: 2016-03-10 09:06:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description SATHEESARAN 2013-08-05 02:55:47 EDT
Description of problem:
-----------------------
Fuse mount of glusterfs takes few mounting options, which currently are
added to glusterfs volume entry, in shares.conf [glusterfs_shares_config option
in cinder.conf]

There can be generalized mount option for fuse mount, which could be
present in cinder.conf, applying for all glusterfs volumes entries present in shares.conf 

Version-Release number of selected component (if applicable):
cinder - 2013.1.2
puddle repo - baseurl=http://download.lab.bos.redhat.com/rel-eng/OpenStack/Grizzly/2013-07-17.2/

Actual result:
--------------
The mount options are added to volume entries in shares.conf

Expected Result:
-----------------
There could be glusterfs_mount_options in cinder.conf, which applies to
all glusterfs mounts

Additional Information:
------------------------
NFS Driver provides an option - nfs_mount_options, for NFS.
Comment 2 Eric Harney 2014-01-06 10:48:39 EST
Are there any mount.glusterfs options which would be useful to apply to all mounts?  Only "log-level" jumps out at me as an obvious one.

Just trying to understand the goal here.
Comment 3 Deepak C Shetty 2014-03-28 07:10:49 EDT
Will start looking into this.
Comment 4 SATHEESARAN 2014-04-08 03:30:49 EDT
(In reply to Eric Harney from comment #2)

> 
> Just trying to understand the goal here.

Eric, 

My sincere apologies for late reply. This needinfo slipped from my mail filter.
Thanks Deepak for pointing this bug for my reply

> Are there any mount.glusterfs options which would be useful to apply to all
> mounts?  Only "log-level" jumps out at me as an obvious one.
backup-volfile-servers is yet another obvious one.

If you have a cluster of RHSS Nodes ( which called as 'Trusted-Storage-Pool' ),
then there can be number of volumes from the same cluster could be used for backend for cinder.

In this case, "backup-volfile-servers" is much needed one and common for all those volumes from the same cluster
Comment 5 SATHEESARAN 2014-04-08 03:32:37 EDT
(In reply to SATHEESARAN from comment #4)
> (In reply to Eric Harney from comment #2)
> 
> > 
> > Just trying to understand the goal here.
> 
> Eric, 
> 
> My sincere apologies for late reply. This needinfo slipped from my mail
> filter.
> Thanks Deepak for pointing this bug for my reply
> 
> > Are there any mount.glusterfs options which would be useful to apply to all
> > mounts?  Only "log-level" jumps out at me as an obvious one.
> backup-volfile-servers is yet another obvious one.
> 
> If you have a cluster of RHSS Nodes ( which called as 'Trusted-Storage-Pool'
> ),
> then there can be number of volumes from the same cluster could be used for
> backend for cinder.
> 
> In this case, "backup-volfile-servers" is much needed one and common for all
> those volumes from the same cluster

For more information in mount-options, you can look here :
https://access.redhat.com/site/documentation/en-US/Red_Hat_Storage/2.1/html-single/Administration_Guide/index.html#sect-Administration_Guide-GlusterFS_Client-GlusterFS_Client-Mounting_Volumes

Note You need to log in before you can comment on or make changes to this bug.